Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.rpc
Class RPCMessage

    java.lang.Object
      |
      +--org.apache.soap.rpc.RPCMessage

All Implemented Interfaces:
  Serializer

Direct Known Subclasses:
  Call, Response

public class RPCMessage
extends java.lang.Object
implements Serializer

An `RPCMessage` is the base class that `Call` and `Response` extend from. Any work that is common to both `Call` and `Response` is done here.

Author:
  Matthew J. Duftler (duftler@us.ibm.com), Sanjiva Weerawarana (sanjiva@watson.ibm.com)

Field Summary
`protected SOAPContext` | `ctx`
`protected java.lang.String` | `encodingStyleURI`
`protected java.lang.String` | `fullTargetObjectURI`
`protected Header` | `header`
`protected java.lang.String` | `methodName`
`protected java.util.Vector` | `params`
`protected java.lang.String` | `targetObjectURI`

Constructor Summary
`protected` | `RPCMessage(java.lang.String targetObjectURI, java.lang.String methodName, java.util.Vector params, Header header, java.lang.String encodingStyleURI, SOAPContext ctx)`

Method Summary
`protected Envelope` | `buildEnvelope(boolean isResponse)`
`protected static RPCMessage` | `extractFromEnvelope(Envelope env, boolean isResponse, SOAPMappingRegistry smr, SOAPContext ctx)`
`java.lang.String` | `getEncodingStyleURI()`
`java.lang.String` | `getFullTargetObjectURI()`
`Header` | `getHeader()`
`java.lang.String` | `getMethodName()`
`java.util.Vector` | `getParams()`
`SOAPContext` | `getSOAPContext()`
`java.lang.String` | `getTargetObjectURI()`
`void` | `marshall(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object src, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`
`void` | `setEncodingStyleURI(java.lang.String encodingStyleURI)`
`void` | `setFullTargetObjectURI(java.lang.String targetObjectURI)`
`void` | `setHeader(Header header)`
`void` | `setMethodName(java.lang.String methodName)`
`void` | `setParams(java.util.Vector params)`
`protected void` | `setSOAPContext(SOAPContext ctx)`
`void` | `setTargetObjectURI(java.lang.String targetObjectURI)`
`java.lang.String` | `toString()`
`static RPCMessage` | `unmarshall(java.lang.String inScopeEncStyle, org.w3c.dom.Node src, java.lang.Class toClass, SOAPMappingRegistry smr, SOAPContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### targetObjectURI

    protected java.lang.String targetObjectURI

### fullTargetObjectURI

    protected java.lang.String fullTargetObjectURI

### methodName

    protected java.lang.String methodName

### params

    protected java.util.Vector params

### header

    protected Header header

### encodingStyleURI

    protected java.lang.String encodingStyleURI

### ctx

    protected SOAPContext ctx

Constructor Detail

### RPCMessage

    protected RPCMessage(java.lang.String targetObjectURI,
                         java.lang.String methodName,
                         java.util.Vector params,
    Header header,
                         java.lang.String encodingStyleURI,
    SOAPContext ctx)

Method Detail

### setTargetObjectURI

    public void setTargetObjectURI(java.lang.String targetObjectURI)

### getTargetObjectURI

    public java.lang.String getTargetObjectURI()

### setFullTargetObjectURI

    public void setFullTargetObjectURI(java.lang.String targetObjectURI)

### getFullTargetObjectURI

    public java.lang.String getFullTargetObjectURI()

### setMethodName

    public void setMethodName(java.lang.String methodName)

### getMethodName

    public java.lang.String getMethodName()

### setParams

    public void setParams(java.util.Vector params)

### getParams

    public java.util.Vector getParams()

### setHeader

    public void setHeader(Header header)

### getHeader

    public Header getHeader()

### setEncodingStyleURI

    public void setEncodingStyleURI(java.lang.String encodingStyleURI)

### getEncodingStyleURI

    public java.lang.String getEncodingStyleURI()

### setSOAPContext

    protected void setSOAPContext(SOAPContext ctx)

### getSOAPContext

    public SOAPContext getSOAPContext()

### buildEnvelope

    protected Envelope buildEnvelope(boolean isResponse)

### extractFromEnvelope

    protected static RPCMessage extractFromEnvelope(Envelope env,
                                                    boolean isResponse,
    SOAPMappingRegistry smr,
    SOAPContext ctx)
                                             throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

### marshall

    public void marshall(java.lang.String inScopeEncStyle,
                         java.lang.Class javaType,
                         java.lang.Object src,
                         java.lang.Object context,
                         java.io.Writer sink,
    NSStack nsStack,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

  Specified by:
    `marshall` in interface `Serializer`
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### unmarshall

    public static RPCMessage unmarshall(java.lang.String inScopeEncStyle,
                                        org.w3c.dom.Node src,
                                        java.lang.Class toClass,
    SOAPMappingRegistry smr,
    SOAPContext ctx)
                                 throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache XML Project. All Rights Reserved.